Close/Re-Open Account
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/account/close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"accountNumber": "<string>",
"reason": "<string>",
"close": true
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/account/close"
payload = {
"accountNumber": "<string>",
"reason": "<string>",
"close": True
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accountNumber: '<string>', reason: '<string>', close: true})
};
fetch('https://devapi.withedge.co/gateway/api/v1/account/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Account successfully closed",
"data": {},
"errors": []
}
Shared Functions
Close/Re-Open Account
This endpoint is used to send a request to close or re-open a customer’s account.
POST
/
account
/
close
Close/Re-Open Account
Close/Re-Open Account
Use this endpoint to close or re-open a customer’s account by specifying the close parameter.Additional Information
- When the close field is passed as
true, the account will be closed, updating the status to closed. - When the close field is passed as
false, the account status will be reverted to active.
Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The customer’s account number.
Example:
Example:
5118745523The reason for the request.
Example:
Example:
Customer requested account closureIndicates the action to be taken on the account:
true: Close the account.false: Re-open the account.
Example:true
{
"statusCode": 00,
"message": "Account successfully closed",
"data": {},
"errors": []
}
Was this page helpful?
⌘I